
From: NeilBrown <neilb@cse.unsw.edu.au>

Don't bother searching for unconfirmed clients when handling RENEW; a client is
pretty sick if it's trying to renew state it hasn't even finished acquiring
yet.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4state.c |    5 -----
 1 files changed, 5 deletions(-)

diff -puN fs/nfsd/nfs4state.c~nfsd4-dont-allow-unconfirmed-renew fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~nfsd4-dont-allow-unconfirmed-renew	2005-03-07 23:55:36.000000000 -0800
+++ 25-akpm/fs/nfsd/nfs4state.c	2005-03-07 23:55:36.000000000 -0800
@@ -1815,11 +1815,6 @@ nfsd4_renew(clientid_t *clid)
 		renew_client(clp);
 		goto out;
 	}
-	clp = find_unconfirmed_client(clid);
-	if (clp) {
-		renew_client(clp);
-		goto out;
-	}
 	/*
 	* Couldn't find an nfs4_client for this clientid.  
 	* Presumably this is because the client took too long to 
_
